Skip to main content
POST
Create monitoring rule

Authorizations

x-api-key
string
header
required

API key for authentication

Path Parameters

organization_id
string
required

Organization ID

Body

application/json
destination_id
string
required

Destination ID for notifications

extension_id
string

Extension ID to monitor

watch_all
boolean
default:false

Whether to watch all items

watch_items
enum<string>[]

Specific items to watch

Available options:
version,
manifest,
visibility,
ownership,
verdict,
score,
code_changes
Example:
note
string

Rule note

platform
enum<string>
default:chrome

Platform to monitor

Available options:
chrome,
firefox,
edge,
vscode,
openvsx

Response

Rule created successfully

result
object[]